summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Kiedrowicz (esqualante) <esqualante@o2.pl>2008-02-20 01:22:05 +0000
committerMichał Kiedrowicz (esqualante) <esqualante@o2.pl>2008-02-20 01:22:05 +0000
commit85b0297502045862d93d5d3f28815f328c6f44e7 (patch)
tree7c349551bb527c620b10f3ca7f01c6211d41b35b /dev-lang/cilk/cilk-5.4.6.ebuild
parentsys-apps/moreutils: Version bump, requested by lstrojny @#gentoo-sunrise (diff)
downloadsunrise-85b0297502045862d93d5d3f28815f328c6f44e7.tar.gz
sunrise-85b0297502045862d93d5d3f28815f328c6f44e7.tar.bz2
sunrise-85b0297502045862d93d5d3f28815f328c6f44e7.zip
dev-lang/cilk: New Ebuild for bug 210816 thanks to Tommy[D], Ken69267 and tcunha
svn path=/sunrise/; revision=5747
Diffstat (limited to 'dev-lang/cilk/cilk-5.4.6.ebuild')
-rw-r--r--dev-lang/cilk/cilk-5.4.6.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/dev-lang/cilk/cilk-5.4.6.ebuild b/dev-lang/cilk/cilk-5.4.6.ebuild
new file mode 100644
index 000000000..e236d379b
--- /dev/null
+++ b/dev-lang/cilk/cilk-5.4.6.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit flag-o-matic
+
+DESCRIPTION="Language for multithreaded parallel programming based on ANSI C."
+HOMEPAGE="http://supertech.csail.mit.edu/${PN}/"
+SRC_URI="http://supertech.csail.mit.edu/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples"
+
+src_compile() {
+ # cilk compiler doesn't like this flags...
+ filter-flags "-pipe"
+ filter-flags "-ggdb"
+
+ econf
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed."
+ dodoc NEWS README THANKS
+
+ use doc && dodoc doc/manual.pdf
+
+ if use examples; then
+ docinto examples
+ dodoc examples/*.{cilk,c,h}
+ fi
+}